class GameApp
  def initialize
    @objects = []
  end

  def update
    @objects.each &:update

    @objects.select(&:dead).each(&:die)
    @objects.reject!(&:dead)
  end

  def draw
    @objects.each &:draw
  end
end

class GameObject
  attr_accessor :dead

  def draw
  end

  def update
  end

  def die
  end
end
