require_relative "./lib/nonoengine"
include Engine

THE_SCREEN = Sprite.new(-1)
NO_MUSIC = Sound.new(-1)

module RES
  module Gui
    Back = Button.new(0)
    Btn = Button.new(1)
    Empty = Button.new(2)
    Fill = Sprite.new(0)
    Font = Font.new(0)
    Music = Sound.new(0)
    Volume = Button.new(3)
  end

  module Skills
    Amelee = Sound.new(1)
    Blessing = Sound.new(2)
    Crossbow = Sound.new(3)
    Curse = Sound.new(4)
    Explode = Sound.new(5)
    Lightning = Sound.new(6)
    Melee = Sound.new(7)
    Melee3 = Sound.new(8)
    Pistol = Sound.new(9)
    Shot_fire = Sound.new(10)
    Sword = Sound.new(11)
    Sword3 = Sound.new(12)
    Traphit = Sound.new(13)
    Trapset = Sound.new(14)
    Water = Sound.new(15)
  end

  All = TileMap.new(0)
  Ammo = TileMap.new(1)
  Blood_hit = TileMap.new(2)
  Bones = TileMap.new(3)
  Dooropen_1 = Sound.new(16)
  Dooropen_2 = Sound.new(17)
  Music_1 = Sound.new(18)
  Music_2 = Sound.new(19)
  Splash = Sprite.new(1)
  Vera = Font.new(1)
end
