
WARRIOR_SLASH = {
  desc: "Удар мечом",
  class: ShootSkill,
  picture: PROJ_RAY,
  maxrange: 4,
  speed: 2000,
  spread: Math::PI / 2,
  count: 1,
  delay: 25,
  #offset: Math::PI * 0.3,
  damage: 10,
  force: 5.0,
  pierce: 1,
  linked: true,
  sound: RES::Skills::Sword,
}

WARRIOR_BLOCK = {
  desc: "Удар щитом",
  class: ShootSkill,
  picture: PROJ_SLASH,
  maxrange: 3,
  speed: 2000,
  spread: Math::PI / 2,
  #offset: -Math::PI * 0.3,
  count: 16,
  delay: 25,
  damage: 0.2,
  force: 8.0,
  pierce: 1,
  linked: true,
  blocks: true,
  sound: RES::Skills::Amelee,
}

WARRIOR =
  {
    name: "Воин",
    desc: "заглушает свою боль болью врагов",
    material: MAT_PLAYER,
    picture: 13 * 8 + 7,

    left_skill: WARRIOR_BLOCK,
    right_skill: WARRIOR_SLASH,
    passive: {
      class: Empathy,
      level: -0.1,
    },
  }
